Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030816
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptmajoralways2015-09-14 12:592016-12-14 18:07
ReporteraaroncaleroView Statuspublic 
Assigned Tomario_castello 
PrioritynormalResolutionfixedFixed in VersionRR15Q4
StatusclosedFix in branchFixed in SCM revision3c21b70063d0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToOrekaria
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030816: It is possible to return the same ticket more than once

DescriptionIt is possible, using the Verified Returns option in Web POS, to return the same ticket or ticket line more than once.
Steps To ReproduceLogin in Web POS
Create and complete a new ticket.
Using the Verified Returns option, return the ticket that has just been created.
Before completing the return ticket, open a new ticket, and using the Verified Returns option, return the ticket that has just been created.
Verify that now there are 2 open tickets with the same return information.
Complete both tickets.
Proposed SolutionThe Verified Returns popup shold take into account information from open tickets, to prevent returning the same ticket or ticket line twice.
TagsNo tags attached.
Attached Filesdiff file icon missingQ21Change.diff [^] (1,055 bytes) 2016-12-14 18:07 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0034575 closednataliag Verified Returns in POS is not working correctly when the ticket has lots of lines or a product from different bins. 
causes defect 0031877 closedmigueldejuana It is not possible to add twice the same verified return partially to the order when the maximum quantity is not reached 

-  Notes
(0080629)
hgbot (developer)
2015-09-25 02:07

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 611f7cddcbd891a4fa95074875daf911972a77af
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Thu Sep 24 18:06:42 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/611f7cddcbd891a4fa95074875daf911972a77af [^]

Fixed issue 30816: Verify the returned lines using verified returns

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0080630)
hgbot (developer)
2015-09-25 02:13

Repository: tools/automation/pi-mobile
Changeset: 01bc08c5e2502cf14d8086c10151345f65728881
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Thu Sep 24 18:13:26 2015 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/01bc08c5e2502cf14d8086c10151345f65728881 [^]

Related to issue 30816: Automation test to verify the returned line using verified returns

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I30816_VerifiedReturnsReturnSameTicket.java
---
(0083538)
hgbot (developer)
2016-01-22 11:19

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 5364d291d5fcd8e2bd9cbf7f0e63d0e7dee55a2a
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Mon Sep 21 16:40:56 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5364d291d5fcd8e2bd9cbf7f0e63d0e7dee55a2a [^]

Fixes issue 30816: Prevent returning lines that are already present in open receipts

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087347)
hgbot (developer)
2016-06-16 14:56

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: aeacad53ca8beb30216f2d36268edae489282551
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 07:55:02 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/aeacad53ca8beb30216f2d36268edae489282551 [^]

Related to issue 0030816: It is possible to return the same ticket more than once

- Backout 611f7cddcbd8
- Solve regressions chain with one fix

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087348)
hgbot (developer)
2016-06-16 14:57

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 2aef76e761868a6e58b9c89fdb5b51522e6d59a4
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 09:46:26 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/2aef76e761868a6e58b9c89fdb5b51522e6d59a4 [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087349)
hgbot (developer)
2016-06-16 14:57

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 5c1446007fc8dd4339071363c1782db4347cec7e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 11:21:47 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5c1446007fc8dd4339071363c1782db4347cec7e [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Cover also lines with item in differents bins

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087732)
hgbot (developer)
2016-06-21 15:42

Repository: retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns
Changeset: 7b6ddfb332a4dc2bed748ab5c6a0966b8fc5a1db
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 07:55:02 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/7b6ddfb332a4dc2bed748ab5c6a0966b8fc5a1db [^]

Related to issue 0030816: It is possible to return the same ticket more than once

- Backout 611f7cddcbd8
- Solve regressions chain with one fix

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087733)
hgbot (developer)
2016-06-21 15:42

Repository: retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns
Changeset: fd4ed05ce63116de4100854b327bcf5c157b57ba
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 21 15:28:20 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/fd4ed05ce63116de4100854b327bcf5c157b57ba [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087734)
hgbot (developer)
2016-06-21 15:42

Repository: retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns
Changeset: 602d49ecd4f44b3d06d1ca4ddc9f0a115892e32a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 11:21:47 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/602d49ecd4f44b3d06d1ca4ddc9f0a115892e32a [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Cover also lines with item in differents bins

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087735)
hgbot (developer)
2016-06-21 15:42

Repository: retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns
Changeset: b8bc8c1ef29644c77cbe01ad91d228137841f4e1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 21 15:41:52 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/b8bc8c1ef29644c77cbe01ad91d228137841f4e1 [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087739)
hgbot (developer)
2016-06-21 16:45

Repository: retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns
Changeset: e29ae6f9be70f80e50e5f8a37bd263c4bc379222
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 07:55:02 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/e29ae6f9be70f80e50e5f8a37bd263c4bc379222 [^]

Related to issue 0030816: It is possible to return the same ticket more than once

- Backout 611f7cddcbd8
- Solve regressions chain with one fix

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087740)
hgbot (developer)
2016-06-21 16:45

Repository: retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns
Changeset: 04850636643b077b2573bcf93c04117947dbbb09
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 16 11:21:47 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/04850636643b077b2573bcf93c04117947dbbb09 [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Cover also lines with item in differents bins

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087741)
hgbot (developer)
2016-06-21 16:45

Repository: retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns
Changeset: 24de7e1f7c985877f7116c177c6da3b64931f97b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 21 16:13:52 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/24de7e1f7c985877f7116c177c6da3b64931f97b [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087742)
hgbot (developer)
2016-06-21 16:45

Repository: retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns
Changeset: 854628ce98f87e044ce720ba9242af6beca31969
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 21 16:26:01 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/854628ce98f87e044ce720ba9242af6beca31969 [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087743)
hgbot (developer)
2016-06-21 16:45

Repository: retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns
Changeset: 3c21b70063d04992208881dd2fe438de4c5f6f3c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 21 16:44:11 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/3c21b70063d04992208881dd2fe438de4c5f6f3c [^]

Fixed issue 0030816: It is possible to return the same ticket more than once

- Check all open orders when adding a verified return line to the ticket
- If we exceed the qty available to return the line is not added
- Manage correctly remaining qty, initial qty and selected qty

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0087796)
migueldejuana (developer)
2016-06-22 15:15

Backout regressions and fix them avoiding creating more issues

- Issue History
Date Modified Username Field Change
2015-09-14 12:59 aaroncalero New Issue
2015-09-14 12:59 aaroncalero Assigned To => Retail
2015-09-14 12:59 aaroncalero Triggers an Emergency Pack => No
2015-09-15 16:04 mario_castello Assigned To Retail => mario_castello
2015-09-16 20:27 mario_castello Status new => scheduled
2015-09-25 02:07 hgbot Checkin
2015-09-25 02:07 hgbot Note Added: 0080629
2015-09-25 02:07 hgbot Status scheduled => resolved
2015-09-25 02:07 hgbot Resolution open => fixed
2015-09-25 02:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/611f7cddcbd891a4fa95074875daf911972a77af [^]
2015-09-25 02:13 hgbot Checkin
2015-09-25 02:13 hgbot Note Added: 0080630
2015-09-25 11:03 Orekaria Review Assigned To => Orekaria
2015-09-25 11:03 Orekaria Status resolved => closed
2015-09-25 11:03 Orekaria Fixed in Version => RR15Q4
2016-01-22 11:19 hgbot Checkin
2016-01-22 11:19 hgbot Note Added: 0083538
2016-01-22 11:19 hgbot Status closed => resolved
2016-01-22 11:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/611f7cddcbd891a4fa95074875daf911972a77af [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5364d291d5fcd8e2bd9cbf7f0e63d0e7dee55a2a [^]
2016-01-22 15:32 marvintm Status resolved => closed
2016-06-15 13:39 dmitry_mezentsev Relationship added causes 0031877
2016-06-16 14:56 hgbot Checkin
2016-06-16 14:56 hgbot Note Added: 0087347
2016-06-16 14:57 hgbot Checkin
2016-06-16 14:57 hgbot Note Added: 0087348
2016-06-16 14:57 hgbot Status closed => resolved
2016-06-16 14:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5364d291d5fcd8e2bd9cbf7f0e63d0e7dee55a2a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/2aef76e761868a6e58b9c89fdb5b51522e6d59a4 [^]
2016-06-16 14:57 hgbot Checkin
2016-06-16 14:57 hgbot Note Added: 0087349
2016-06-16 14:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/2aef76e761868a6e58b9c89fdb5b51522e6d59a4 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5c1446007fc8dd4339071363c1782db4347cec7e [^]
2016-06-21 15:42 hgbot Checkin
2016-06-21 15:42 hgbot Note Added: 0087732
2016-06-21 15:42 hgbot Checkin
2016-06-21 15:42 hgbot Note Added: 0087733
2016-06-21 15:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/5c1446007fc8dd4339071363c1782db4347cec7e [^] => http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/fd4ed05ce63116de4100854b327bcf5c157b57ba [^]
2016-06-21 15:42 hgbot Checkin
2016-06-21 15:42 hgbot Note Added: 0087734
2016-06-21 15:42 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/fd4ed05ce63116de4100854b327bcf5c157b57ba [^] => http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/602d49ecd4f44b3d06d1ca4ddc9f0a115892e32a [^]
2016-06-21 15:42 hgbot Checkin
2016-06-21 15:42 hgbot Note Added: 0087735
2016-06-21 15:42 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/602d49ecd4f44b3d06d1ca4ddc9f0a115892e32a [^] => http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/b8bc8c1ef29644c77cbe01ad91d228137841f4e1 [^]
2016-06-21 16:45 hgbot Checkin
2016-06-21 16:45 hgbot Note Added: 0087739
2016-06-21 16:45 hgbot Checkin
2016-06-21 16:45 hgbot Note Added: 0087740
2016-06-21 16:45 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q1.4/org.openbravo.retail.returns/rev/b8bc8c1ef29644c77cbe01ad91d228137841f4e1 [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/04850636643b077b2573bcf93c04117947dbbb09 [^]
2016-06-21 16:45 hgbot Checkin
2016-06-21 16:45 hgbot Note Added: 0087741
2016-06-21 16:45 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/04850636643b077b2573bcf93c04117947dbbb09 [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/24de7e1f7c985877f7116c177c6da3b64931f97b [^]
2016-06-21 16:45 hgbot Checkin
2016-06-21 16:45 hgbot Note Added: 0087742
2016-06-21 16:45 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/24de7e1f7c985877f7116c177c6da3b64931f97b [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/854628ce98f87e044ce720ba9242af6beca31969 [^]
2016-06-21 16:45 hgbot Checkin
2016-06-21 16:45 hgbot Note Added: 0087743
2016-06-21 16:45 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/854628ce98f87e044ce720ba9242af6beca31969 [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.1/org.openbravo.retail.returns/rev/3c21b70063d04992208881dd2fe438de4c5f6f3c [^]
2016-06-22 09:42 marvintm Status resolved => closed
2016-06-22 15:15 migueldejuana Note Added: 0087796
2016-12-13 18:01 marvintm Relationship added has duplicate 0034575
2016-12-14 18:07 migueldejuana File Added: missingQ21Change.diff


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker